aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2020-12-04 02:46:27 -0300
committerLeo <thinkabit.ukim@gmail.com>2021-01-14 20:14:24 +0000
commit52b5be29ca2218565d0af8463f9d590d4d8601c4 (patch)
treed0d5768dd0896bbf315d036e5ac4985c825bc90d
parent483567fa66e77b54f715d1cc7991d95d061d1148 (diff)
downloadaports-52b5be29ca2218565d0af8463f9d590d4d8601c4.tar.gz
aports-52b5be29ca2218565d0af8463f9d590d4d8601c4.tar.bz2
aports-52b5be29ca2218565d0af8463f9d590d4d8601c4.tar.xz
main/*: add lua5.4 support
adds support to all lua modules that have 5.3 support and are not actively unsupported
-rw-r--r--main/lua-augeas/APKBUILD26
-rw-r--r--main/lua-b64/APKBUILD9
-rw-r--r--main/lua-bit32/APKBUILD13
-rw-r--r--main/lua-cjson/APKBUILD9
-rw-r--r--main/lua-cmsgpack/APKBUILD7
-rw-r--r--main/lua-cqueues/APKBUILD4
-rw-r--r--main/lua-curl/APKBUILD5
-rw-r--r--main/lua-dbi/APKBUILD6
-rw-r--r--main/lua-discount/APKBUILD17
-rw-r--r--main/lua-expat/APKBUILD25
-rw-r--r--main/lua-feedparser/APKBUILD6
-rw-r--r--main/lua-file-magic/APKBUILD5
-rw-r--r--main/lua-filesize/APKBUILD5
-rw-r--r--main/lua-filesystem/APKBUILD4
-rw-r--r--main/lua-gversion/APKBUILD5
-rw-r--r--main/lua-hashids/APKBUILD11
-rw-r--r--main/lua-iconv/APKBUILD22
-rw-r--r--main/lua-inspect/APKBUILD5
-rw-r--r--main/lua-json4/APKBUILD9
-rw-r--r--main/lua-lub/APKBUILD5
-rw-r--r--main/lua-lustache/APKBUILD4
-rw-r--r--main/lua-lxc/APKBUILD14
-rw-r--r--main/lua-lyaml/APKBUILD4
-rw-r--r--main/lua-lzlib/APKBUILD25
-rw-r--r--main/lua-lzmq/APKBUILD5
-rw-r--r--main/lua-maxminddb/APKBUILD24
-rw-r--r--main/lua-md5/APKBUILD6
-rw-r--r--main/lua-microlight/APKBUILD29
-rw-r--r--main/lua-mosquitto/APKBUILD4
-rw-r--r--main/lua-mqtt-publish/APKBUILD8
-rw-r--r--main/lua-openrc/APKBUILD24
-rw-r--r--main/lua-optarg/APKBUILD8
-rw-r--r--main/lua-ossl/APKBUILD10
-rw-r--r--main/lua-pc/APKBUILD19
-rw-r--r--main/lua-penlight/APKBUILD6
-rw-r--r--main/lua-posix/APKBUILD40
-rw-r--r--main/lua-posixtz/APKBUILD10
-rw-r--r--main/lua-pty/APKBUILD6
-rw-r--r--main/lua-rex/APKBUILD4
-rw-r--r--main/lua-sec/APKBUILD8
-rw-r--r--main/lua-socket/APKBUILD2
-rw-r--r--main/lua-sql/APKBUILD12
-rw-r--r--main/lua-sqlite/APKBUILD18
-rw-r--r--main/lua-stdlib-debug/APKBUILD5
-rw-r--r--main/lua-stdlib-normalize/APKBUILD4
-rw-r--r--main/lua-stdlib/APKBUILD7
-rw-r--r--main/lua-stringy/APKBUILD4
-rw-r--r--main/lua-struct/APKBUILD6
-rw-r--r--main/lua-subprocess/APKBUILD2
-rw-r--r--main/lua-unit/APKBUILD6
50 files changed, 194 insertions, 328 deletions
diff --git a/main/lua-augeas/APKBUILD b/main/lua-augeas/APKBUILD
index 4bd1ab182e..3c0bffe055 100644
--- a/main/lua-augeas/APKBUILD
+++ b/main/lua-augeas/APKBUILD
@@ -1,18 +1,15 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-augeas
pkgver=0.1.2
-pkgrel=4
+pkgrel=5
pkgdesc="Lua bindings for Augeas"
url="https://git.alpinelinux.org/cgit/lua-augeas/"
arch="all"
-license="LGPL"
-depends=""
-install=
+license="MIT"
makedepends="augeas-dev"
-subpackages=""
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-augeas:split_${_i/./_}"
@@ -20,30 +17,24 @@ done
source="https://dev.alpinelinux.org/archive/lua-augeas/lua-augeas-$pkgver.tar.bz2
0001-support-for-Lua-5.2.patch"
-_sdir="$srcdir"/lua-augeas-$pkgver
prepare() {
- cd "$_sdir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare
for _i in $_luaversions; do
- cp -r "$_sdir" "$srcdir"/build-$_i
+ cp -r "$builddir" "$srcdir"/build-$_i
done
}
build() {
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
- make LUAPC=lua$_i || return 1
+ make LUAPC=lua$_i
done
}
package() {
for _i in $_luaversions; do
install -D "$srcdir"/build-$_i/augeas.so \
- "$pkgdir"/usr/lib/lua/$_i/augeas.so || return 1
+ "$pkgdir"/usr/lib/lua/$_i/augeas.so
done
}
@@ -56,7 +47,7 @@ _split() {
for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then
mkdir -p "$subpkgdir"/$d
- mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/ || return 1
+ mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/
fi
done
}
@@ -64,6 +55,7 @@ _split() {
split_5_1() { _split 5.1; }
split_5_2() { _split 5.2; }
split_5_3() { _split 5.3; }
+split_5_4() { _split 5.4; }
sha512sums="3ccbb32d4d71a9d390e814084a91fc26d51f25d31a1ff3a1e9927c494d196fdbc3954ae763b18e3b6e938bba9090773e4ac5fdb93ebc6d3293dc6be351485459 lua-augeas-0.1.2.tar.bz2
35ce609c0f34d88b3cd3a2edc6b7bc4332de9b06ad9b57a2fcc54c655399ad8e426b224e064d86146ccc1258ae7cb58a33d6187e7d5f396888a1d5a61637c940 0001-support-for-Lua-5.2.patch"
diff --git a/main/lua-b64/APKBUILD b/main/lua-b64/APKBUILD
index 744a82823d..cf74a9a052 100644
--- a/main/lua-b64/APKBUILD
+++ b/main/lua-b64/APKBUILD
@@ -1,19 +1,16 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lua-b64
pkgver=0.1
-pkgrel=3
+pkgrel=4
pkgdesc="Lua base64 implementation with support for urlsafe"
url="https://github.com/ncopa/lua-b64"
arch="all"
license="MIT"
depends="lua"
-makedepends=""
-subpackages=""
-source="$pkgname-$pkgver.tar.gz::https://github.com/ncopa/$pkgname/archive/v$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/ncopa/lua-b64/archive/v$pkgver.tar.gz
0001-b64-fix-segfault-caused-by-signed-char.patch"
-builddir="$srcdir/$pkgname-$pkgver"
-_luaversions="5.2 5.3"
+_luaversions="5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-bit32/APKBUILD b/main/lua-bit32/APKBUILD
index 3256a9c0ba..b2c3dae08a 100644
--- a/main/lua-bit32/APKBUILD
+++ b/main/lua-bit32/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lua-bit32
pkgver=5.3.0
-pkgrel=3
+pkgrel=4
pkgdesc="A lua library providing bitwise operations"
url="https://github.com/keplerproject/lua-compat-5.2"
arch="all"
@@ -12,7 +12,7 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/keplerproject/lua-compat-5.2
"
builddir="$srcdir/lua-compat-5.2-bitlib-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
@@ -20,11 +20,10 @@ for _v in $_luaversions; do
done
build() {
- cd "$_builddir"
- for _i in $_luaversions; do
- msg "build for Lua $_i"
- make -f "$srcdir"/Makefile LUAVER=$_i
- done
+ for _i in $_luaversions; do
+ msg "build for Lua $_i"
+ make -f "$srcdir"/Makefile LUAVER=$_i
+ done
}
package() {
diff --git a/main/lua-cjson/APKBUILD b/main/lua-cjson/APKBUILD
index 6e71a46df5..ba5c4bc883 100644
--- a/main/lua-cjson/APKBUILD
+++ b/main/lua-cjson/APKBUILD
@@ -1,22 +1,19 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lua-cjson
pkgver=2.1.0
-pkgrel=9
+pkgrel=10
pkgdesc="fast JSON parsing and encoding support for Lua"
url="https://www.kyne.com.au/~mark/software/lua-cjson.php"
arch="all"
license="MIT"
-makedepends=""
-subpackages=""
-source="http://www.kyne.com.au/~mark/software/download/$pkgname-$pkgver.tar.gz
+source="http://www.kyne.com.au/~mark/software/download/lua-cjson-$pkgver.tar.gz
0001-Use-pkg-config-to-detect-cflags-or-fallback-to-LUA_I.patch
0002-lua53-integers.patch
0003-empty-array-metadata.patch
0004-Option-for-sorting-object-keys.patch
"
-builddir="$srcdir/$pkgname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-cmsgpack/APKBUILD b/main/lua-cmsgpack/APKBUILD
index 6fcc025b05..8faa4f9b25 100644
--- a/main/lua-cmsgpack/APKBUILD
+++ b/main/lua-cmsgpack/APKBUILD
@@ -7,21 +7,14 @@ pkgdesc="MessagePack C implementation for Lua"
url="https://github.com/antirez/lua-cmsgpack"
arch="all"
license="BSD-2-Clause"
-depends=""
-depends_dev=""
makedepends="lua-dev"
-install=""
-subpackages=""
source="lua-cmsgpack-$pkgver.tar.gz::https://github.com/antirez/lua-cmsgpack/archive/$pkgver.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
${CC:-gcc} $CFLAGS -fPIC $(pkg-config --cflags lua) -o cmsgpack.so -shared $LFDLAGS $(pkg-config --libs lua) lua_cmsgpack.c
}
package() {
- cd "$_builddir"
local dir=$( pkg-config --variable INSTALL_CMOD lua)
install -D cmsgpack.so "$pkgdir"/$dir/cmsgpack.so
}
diff --git a/main/lua-cqueues/APKBUILD b/main/lua-cqueues/APKBUILD
index 85fabc2e9a..c4d837d674 100644
--- a/main/lua-cqueues/APKBUILD
+++ b/main/lua-cqueues/APKBUILD
@@ -1,10 +1,10 @@
# Contributor: Jakub Jirutka <jakub@jirutka.cz>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-cqueues
_pkgname=cqueues
pkgver=20200726
-pkgrel=0
+pkgrel=1
pkgdesc="Lua event loop using coroutines"
url="http://25thandclement.com/~william/projects/cqueues.html"
arch="all"
diff --git a/main/lua-curl/APKBUILD b/main/lua-curl/APKBUILD
index df3d9e3ce6..e1046ac392 100644
--- a/main/lua-curl/APKBUILD
+++ b/main/lua-curl/APKBUILD
@@ -2,18 +2,17 @@
pkgname=lua-curl
_pkgname=Lua-cURLv3
pkgver=0.3.12
-pkgrel=0
+pkgrel=1
pkgdesc="Lua bindings to cURL library"
url="https://github.com/Lua-cURL/Lua-cURLv3"
arch="all"
license="MIT"
makedepends="curl-dev"
-subpackages=""
source="$pkgname-$pkgver.tar.gz::https://github.com/Lua-cURL/$_pkgname/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-dbi/APKBUILD b/main/lua-dbi/APKBUILD
index 96d5dceda5..c2229e7447 100644
--- a/main/lua-dbi/APKBUILD
+++ b/main/lua-dbi/APKBUILD
@@ -3,8 +3,8 @@
pkgname=lua-dbi
_pkgname=luadbi
pkgver=0.7.2
-pkgrel=0
-pkgdesc="A database interface library for Lua"
+pkgrel=1
+pkgdesc="database interface library for Lua"
url="https://github.com/mwild1/luadbi"
arch="all"
license="MIT"
@@ -14,7 +14,7 @@ source="https://github.com/mwild1/$_pkgname/archive/v$pkgver/$_pkgname.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
options="!check" # provided tests require running DBs
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
for _subpkg in $_subpackages; do
diff --git a/main/lua-discount/APKBUILD b/main/lua-discount/APKBUILD
index 36e176861a..d95c699310 100644
--- a/main/lua-discount/APKBUILD
+++ b/main/lua-discount/APKBUILD
@@ -1,30 +1,25 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-discount
pkgver=1.2.10.1
-pkgrel=5
+pkgrel=6
pkgdesc="Markdown implementation in C for Lua"
url="http://asbradbury.org/projects/lua-discount"
arch="all"
license="custom" # BSD-based custom license
-depends=""
subpackages="$pkgname-doc"
-makedepends=""
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-discount:split_${_i/./_}"
done
-install=
-source="http://luaforge.net/frs/download.php/3758/lua-discount-1.2.10.1.tar.gz"
+source="http://files.luaforge.net/releases/lua-discount/lua-discount/$pkgver/lua-discount-$pkgver.tar.gz"
build() {
cd "$srcdir"
for i in $_luaversions; do
cp -r $pkgname-$pkgver $i
- (cd $i
- make INCS="$(pkg-config --cflags lua$i)"
- ) || return 1
+ (cd $i; make INCS="$(pkg-config --cflags lua$i)")
done
}
@@ -32,7 +27,7 @@ package() {
cd "$srcdir"
for i in $_luaversions; do
install -D -m644 $i/discount.so \
- "$pkgdir"/usr/lib/lua/$i/discount.so || return 1
+ "$pkgdir"/usr/lib/lua/$i/discount.so
done
install -Dm644 "$builddir"/LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
@@ -43,7 +38,7 @@ _split() {
install_if="lua$_ver $pkgname=$pkgver-r$pkgrel"
depends=""
mkdir -p "$subpkgdir"/usr/lib/lua/
- mv "$pkgdir"/usr/lib/lua/$_ver "$subpkgdir"/usr/lib/lua/ || return 1
+ mv "$pkgdir"/usr/lib/lua/$_ver "$subpkgdir"/usr/lib/lua/
}
for _v in $_luaversions; do
diff --git a/main/lua-expat/APKBUILD b/main/lua-expat/APKBUILD
index 25bd117fdf..63e230547f 100644
--- a/main/lua-expat/APKBUILD
+++ b/main/lua-expat/APKBUILD
@@ -1,42 +1,35 @@
# Contributor: Mika Havela <mika.havela@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-expat
_name=expat
pkgver=1.3.0
-pkgrel=3
+pkgrel=4
pkgdesc="SAX XML parser based on the Expat library"
url="https://matthewwild.co.uk/projects/luaexpat/"
arch="all"
license="MIT"
-depends=""
makedepends="expat-dev"
-install=
-subpackages=
-
for _i in $_luaversions; do
- makedepends="$makedepends lua${_i}-dev"
- subpackages="$subpackages lua${_i}-$_name:_split${_i/./}"
+ makedepends="$makedepends lua$_i-dev"
+ subpackages="$subpackages lua$_i-$_name:_split${_i/./}"
done
source="http://matthewwild.co.uk/projects/luaexpat/luaexpat-$pkgver.tar.gz"
-_builddir="$srcdir"/luaexpat-1.3.0
+builddir="$srcdir"/luaexpat-1.3.0
build() {
cd "$srcdir"
for _i in $_luaversions; do
- cp -r "$_builddir" "$srcdir"/build-$_i || return 1
+ cp -r "$builddir" "$srcdir"/build-$_i
cd "$srcdir"/build-$_i
- make LUA_V=$_i || return 1
+ make LUA_V=$_i
done
}
package() {
- cd "$srcdir"
for _i in $_luaversions; do
- (cd "$srcdir"/build-$_i && make install LUA_V=$_i \
- DESTDIR="$pkgdir") \
- || return 1
+ (cd "$srcdir"/build-$_i && make install LUA_V=$_i DESTDIR="$pkgdir")
done
}
@@ -48,7 +41,7 @@ _split() {
for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then
mkdir -p "$subpkgdir"/$d
- mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/ || return 1
+ mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/
fi
done
}
diff --git a/main/lua-feedparser/APKBUILD b/main/lua-feedparser/APKBUILD
index e058599139..4bb6279cf7 100644
--- a/main/lua-feedparser/APKBUILD
+++ b/main/lua-feedparser/APKBUILD
@@ -2,8 +2,8 @@
pkgname=lua-feedparser
_rockname=feedparser
pkgver=0.71
-pkgrel=2
-pkgdesc="A decent RSS and Atom XML feed parser"
+pkgrel=3
+pkgdesc="decent RSS and Atom XML feed parser"
url="https://github.com/slact/lua-feedparser"
arch="noarch"
license="BSD-3-Clause"
@@ -14,7 +14,7 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/slact/lua-feedparser/archive
provides="$pkgname-common=$pkgver-r$pkgrel" # for backward compatibility
replaces="$pkgname-common" # for backward compatibility
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
checkdepends="$checkdepends lua$_v"
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
diff --git a/main/lua-file-magic/APKBUILD b/main/lua-file-magic/APKBUILD
index f8b07d0561..3225bedc43 100644
--- a/main/lua-file-magic/APKBUILD
+++ b/main/lua-file-magic/APKBUILD
@@ -8,10 +8,9 @@ arch="all"
license="LGPL"
depends="lua"
makedepends="file-dev"
-source="$pkgname-$pkgver.tar.gz::https://github.com/ncopa/$pkgname/archive/v$pkgver.tar.gz"
-builddir="$srcdir/$pkgname-$pkgver"
+source="$pkgname-$pkgver.tar.gz::https://github.com/ncopa/lua-file-magic/archive/v$pkgver.tar.gz"
-_luaversions="5.2 5.3"
+_luaversions="5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-filesize/APKBUILD b/main/lua-filesize/APKBUILD
index 7b0c695cad..2d7f8053a3 100644
--- a/main/lua-filesize/APKBUILD
+++ b/main/lua-filesize/APKBUILD
@@ -2,14 +2,14 @@
_pkgname=filesize
pkgname=lua-$_pkgname
pkgver=0.1.1
-pkgrel=1
+pkgrel=2
pkgdesc="Generate human readable string describing the size of files"
url="https://github.com/starius/lua-filesize"
arch="all"
license="MIT"
source="$_pkgname-$pkgver.tar.gz::https://github.com/starius/lua-filesize/archive/$pkgver.tar.gz"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-$_pkgname:split_${_v/./_}"
@@ -41,5 +41,6 @@ _split() {
split_5_1() { _split 5.1 ; }
split_5_2() { _split 5.2 ; }
split_5_3() { _split 5.3 ; }
+split_5_4() { _split 5.4 ; }
sha512sums="e1ea3d922b7e58e79a499d5e612367d22fa751348e8f253eef3145b5b440de1dcccaa2bbd66a28da6472dc73736c7de2798384355f88c77abf0501234bd261e3 filesize-0.1.1.tar.gz"
diff --git a/main/lua-filesystem/APKBUILD b/main/lua-filesystem/APKBUILD
index 3302238983..51046dcfaf 100644
--- a/main/lua-filesystem/APKBUILD
+++ b/main/lua-filesystem/APKBUILD
@@ -4,7 +4,7 @@ _pkgname=luafilesystem
pkgver=1.8.0
_pkgver=${pkgver//./_}
_rockver=${pkgver%.*}-${pkgver##*.}
-pkgrel=0
+pkgrel=1
pkgdesc="Filesystem functions for Lua"
url="http://keplerproject.github.io/luafilesystem/"
arch="all"
@@ -13,7 +13,7 @@ checkdepends="luajit"
source="$_pkgname-$pkgver.tar.gz::https://github.com/keplerproject/$_pkgname/archive/v$_pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$_pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-gversion/APKBUILD b/main/lua-gversion/APKBUILD
index 8b33432406..8374ee737a 100644
--- a/main/lua-gversion/APKBUILD
+++ b/main/lua-gversion/APKBUILD
@@ -4,17 +4,16 @@ pkgname=lua-gversion
_rockname=gversion
_pkgname=gversion.lua
pkgver=0.2.0
-pkgrel=2
+pkgrel=3
pkgdesc="Lua library for Gentoo-style versioning format"
url="https://github.com/jirutka/gversion.lua"
arch="noarch"
license="MIT"
depends="lua"
-provides=""
source="$pkgname-$pkgver.tar.gz::https://github.com/jirutka/$_pkgname/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
done
diff --git a/main/lua-hashids/APKBUILD b/main/lua-hashids/APKBUILD
index 6905539959..8422017149 100644
--- a/main/lua-hashids/APKBUILD
+++ b/main/lua-hashids/APKBUILD
@@ -2,22 +2,17 @@
# Maintainer: Carlo Landmeter <clandmeter@alpinelinux.org>
pkgname=lua-hashids
pkgver=1.0.6
-pkgrel=2
-pkgdesc="A Lua implementation of hashids"
+pkgrel=3
+pkgdesc="Lua implementation of hashids"
url="https://github.com/leihog/hashids.lua"
arch="all"
license="MIT"
-depends=""
-depends_dev=""
-makedepends=""
-install=""
-subpackages=""
options="!check"
source="hashids.lua-$pkgver.tar.gz::https://github.com/leihog/hashids.lua/archive/v$pkgver.tar.gz"
builddir="$srcdir"/hashids.lua-$pkgver
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-iconv/APKBUILD b/main/lua-iconv/APKBUILD
index 5731264b7c..1e1cff4392 100644
--- a/main/lua-iconv/APKBUILD
+++ b/main/lua-iconv/APKBUILD
@@ -1,29 +1,23 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-iconv
pkgver=7
-pkgrel=1
+pkgrel=2
pkgdesc="Lua binding to the POSIX 'iconv' library"
url="http://ittner.github.io/lua-iconv/"
arch="all"
license="MIT"
-depends=
-makedepends=""
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-iconv:split_${_i/./_}"
done
-install=
source="https://github.com/downloads/ittner/lua-iconv/lua-iconv-$pkgver.tar.gz
0001-lua-iconv-make-close-available-from-lua.patch"
-_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
- patch -p1 -i "$srcdir"/0001-lua-iconv-make-close-available-from-lua.patch
- cd "$srcdir"
+ default_prepare
for _i in $_luaversions; do
- cp -r $_builddir $_i || return 1
+ cp -r "$builddir" "$srcdir"/"$_i"
done
}
@@ -32,16 +26,14 @@ build() {
msg "Build for Lua $_i"
cd "$srcdir"/$_i
make LUAPKG="lua$_i" \
- CFLAGS="$CFLAGS $(pkg-config lua$_i --cflags)" \
- || return 1
+ CFLAGS="$CFLAGS $(pkg-config lua$_i --cflags)"
done
}
package() {
cd "$srcdir"
for _i in $_luaversions; do
- install -D -s $_i/iconv.so "$pkgdir"/usr/lib/lua/$_i/iconv.so \
- || return 1
+ install -D -s $_i/iconv.so "$pkgdir"/usr/lib/lua/$_i/iconv.so
done
}
@@ -50,7 +42,7 @@ _split() {
pkgdesc="$pkgdesc for Lua $_ver"
install_if="lua$_ver $pkgname=$pkgver-r$pkgrel"
depends=
- mkdir -p "$subpkgdir/$d" || return 1
+ mkdir -p "$subpkgdir/$d"
mv "$pkgdir/$d/$1" "$subpkgdir/$d"
}
diff --git a/main/lua-inspect/APKBUILD b/main/lua-inspect/APKBUILD
index 397d368617..9c9665f9b8 100644
--- a/main/lua-inspect/APKBUILD
+++ b/main/lua-inspect/APKBUILD
@@ -10,12 +10,11 @@ url="https://github.com/kikito/inspect.lua"
arch="noarch"
license="MIT"
depends="lua"
-provides=""
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/kikito/$_pkgname/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
done
@@ -23,8 +22,6 @@ done
package() {
local rockdir="$pkgdir/usr/lib/luarocks/rocks-common/$_rockname/$pkgver-1"
- cd "$builddir"
-
install -Dm644 "$builddir"/inspect.lua \
"$pkgdir"/usr/share/lua/common/inspect.lua
install -Dm644 README.md \
diff --git a/main/lua-json4/APKBUILD b/main/lua-json4/APKBUILD
index 85b3e2ef90..1cfe2701a4 100644
--- a/main/lua-json4/APKBUILD
+++ b/main/lua-json4/APKBUILD
@@ -2,17 +2,16 @@
pkgname=lua-json4
_rockname=json4lua
pkgver=1.0.0
-pkgrel=3
+pkgrel=4
pkgdesc="JSON encoding / decoding module for Lua (JSON4lua)"
url="https://github.com/craigmj/json4lua"
arch="noarch"
-license="GPL-2.0"
+license="MIT"
depends="lua"
-provides=""
source="$pkgname-$pkgver.tar.gz::https://github.com/craigmj/$_rockname/archive/$pkgver.tar.gz"
builddir="$srcdir/$_rockname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
done
@@ -20,8 +19,6 @@ done
package() {
local rockdir="$pkgdir/usr/lib/luarocks/rocks-common/$_rockname/$pkgver-1"
- cd "$builddir"
-
install -D -m 644 json/json.lua "$pkgdir"/usr/share/lua/common/json.lua
mkdir -p "$rockdir"
diff --git a/main/lua-lub/APKBUILD b/main/lua-lub/APKBUILD
index 9351ef5d71..12f89e24de 100644
--- a/main/lua-lub/APKBUILD
+++ b/main/lua-lub/APKBUILD
@@ -3,17 +3,16 @@
pkgname=lua-lub
_rockname=lub
pkgver=1.1.0
-pkgrel=2
+pkgrel=3
pkgdesc="Lubyk base module for Lua"
url="http://doc.lubyk.org/lub.html"
arch="noarch"
license="MIT"
depends="lua lua-filesystem"
-provides=""
source="$pkgname-$pkgver.tar.gz::https://github.com/lubyk/$_rockname/archive/REL-$pkgver.tar.gz"
builddir="$srcdir/$_rockname-REL-$pkgver"
-for _v in 5.1 5.2 5.3; do
+for _v in 5.1 5.2 5.3 5.4; do
provides="$provides lua$_v-$_rockname=$pkgver-r$pkgrel"
done
diff --git a/main/lua-lustache/APKBUILD b/main/lua-lustache/APKBUILD
index af0a3d6744..c66b91b842 100644
--- a/main/lua-lustache/APKBUILD
+++ b/main/lua-lustache/APKBUILD
@@ -3,7 +3,7 @@ pkgname=lua-lustache
_rockname=lustache
pkgver=1.3.1
_pkgver=$pkgver-0
-pkgrel=2
+pkgrel=3
pkgdesc="Logic-less {{mustache}} templates with Lua"
url="http://olivinelabs.com/lustache/"
arch="noarch"
@@ -14,7 +14,7 @@ replaces="$pkgname-common" # for backward compatibility
source="$pkgname-$pkgver.tar.gz::https://github.com/Olivine-Labs/$_rockname/archive/v$_pkgver.tar.gz"
builddir="$srcdir/$_rockname-$_pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
done
diff --git a/main/lua-lxc/APKBUILD b/main/lua-lxc/APKBUILD
index ddc73e692e..4ea063fe23 100644
--- a/main/lua-lxc/APKBUILD
+++ b/main/lua-lxc/APKBUILD
@@ -6,23 +6,23 @@ pkgrel=0
pkgdesc="Lua bindings for LXC"
url="https://linuxcontainers.org"
arch="all"
-license="LGPL-2.1"
-depends=""
+license="LGPL-2.1-or-later"
makedepends="lxc-dev automake autoconf libtool"
-install=""
source="https://linuxcontainers.org/downloads/lxc/lua-lxc-$pkgver.tar.gz"
-builddir="$srcdir/lua-lxc-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
done
-build() {
- cd "$builddir"
+prepare() {
+ default_prepare
# configure will complain about missing automake randomly
./autogen.sh
+}
+
+build() {
local lver; for lver in $_luaversions; do
export LUA_VERSION=$lver
cp -r "$builddir" "$srcdir"/lua$lver
diff --git a/main/lua-lyaml/APKBUILD b/main/lua-lyaml/APKBUILD
index cbe434057f..71333d971f 100644
--- a/main/lua-lyaml/APKBUILD
+++ b/main/lua-lyaml/APKBUILD
@@ -2,7 +2,7 @@
_pkgname=lyaml
pkgname=lua-$_pkgname
pkgver=6.2.7
-pkgrel=0
+pkgrel=1
pkgdesc="LibYAML binding for Lua"
url="https://github.com/gvvaughan/lyaml"
arch="all"
@@ -12,7 +12,7 @@ replaces="lua-yaml"
source="$_pkgname-$pkgver.tar.gz::https://github.com/gvvaughan/lyaml/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-$_pkgname:_subpackage"
diff --git a/main/lua-lzlib/APKBUILD b/main/lua-lzlib/APKBUILD
index 6de31ac057..ce30d4b1c5 100644
--- a/main/lua-lzlib/APKBUILD
+++ b/main/lua-lzlib/APKBUILD
@@ -1,45 +1,40 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-lzlib
_name=lzlib
pkgver=0.4.3
-pkgrel=0
+pkgrel=1
pkgdesc="Lua bindings to the ZLib compression library"
url="https://github.com/LuaDist/lzlib"
arch="all"
license="MIT"
-depends=""
makedepends="zlib-dev"
-subpackages=
for _i in $_luaversions; do
- makedepends="$makedepends lua$_i-dev"
- subpackages="$subpackages lua$_i-lzlib:_zlib_${_i/./_}"
+ makedepends="$makedepends lua$_i-dev"
+ subpackages="$subpackages lua$_i-lzlib:_zlib_${_i/./_}"
done
-install=
source="$pkgname-$pkgver.tar.gz::https://github.com/LuaDist/$_name/archive/$pkgver.tar.gz"
-_builddir="$srcdir"/$_name-$pkgver
+builddir="$srcdir"/$_name-$pkgver
prepare() {
- cd "$_builddir"
- # apply patches here
+ default_prepare
+
for _i in $_luaversions; do
- cp -a "$_builddir" "$srcdir"/build-$_i || return 1
+ cp -a "$builddir" "$srcdir"/build-$_i
done
}
build() {
- cd "$_builddir"
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
msg "build for Lua $_i"
make \
CFLAGS="$CFLAGS $(pkg-config --cflags lua$_i)" \
- LDFLAGS="$LDFLAGS $(pkg-config --libs lua$_i)" \
- || return 1
- done
+ LDFLAGS="$LDFLAGS $(pkg-config --libs lua$_i)"
+ done
}
package() {
diff --git a/main/lua-lzmq/APKBUILD b/main/lua-lzmq/APKBUILD
index 7cb3abd7f5..a2ef8c7ceb 100644
--- a/main/lua-lzmq/APKBUILD
+++ b/main/lua-lzmq/APKBUILD
@@ -4,17 +4,16 @@
pkgname=lua-lzmq
_pkgname=lzmq
pkgver=0.4.4
-pkgrel=1
+pkgrel=2
pkgdesc="Lua bindings to ZeroMQ"
url="https://github.com/zeromq/lzmq"
arch="all"
license="MIT"
-depends=""
makedepends="cmake zeromq-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/zeromq/$_pkgname/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-$_pkgname:_package"
diff --git a/main/lua-maxminddb/APKBUILD b/main/lua-maxminddb/APKBUILD
index 46c5f0838c..6efe966fbc 100644
--- a/main/lua-maxminddb/APKBUILD
+++ b/main/lua-maxminddb/APKBUILD
@@ -1,42 +1,36 @@
# Maintainer: Timo Teräs <timo.teras@iki.fi>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-maxminddb
pkgver=0.1
-pkgrel=2
+pkgrel=3
pkgdesc="libmaxminddb bindings for Lua"
url="https://github.com/fabled/lua-maxminddb"
arch="all"
license="MIT"
-depends=""
makedepends="libmaxminddb-dev"
-subpackages=
for _i in $_luaversions; do
depends="$depends lua$_i-maxminddb"
- makedepends="$makedepends lua$_i-dev"
- subpackages="$subpackages lua$_i-maxminddb:_maxminddb_${_i/./_}"
+ makedepends="$makedepends lua$_i-dev"
+ subpackages="$subpackages lua$_i-maxminddb:_maxminddb_${_i/./_}"
done
-install=
source="$pkgname-$pkgver.tar.gz::https://github.com/fabled/lua-maxminddb/archive/v$pkgver.tar.gz"
-_builddir="$srcdir"/lua-maxminddb-$pkgver
-
prepare() {
- cd "$_builddir"
+ default_prepare
+
# apply patches here
for _i in $_luaversions; do
- cp -a "$_builddir" "$srcdir"/build-$_i || return 1
+ cp -a "$builddir" "$srcdir"/build-$_i
done
}
build() {
- cd "$_builddir"
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
msg "build for Lua $_i"
- make LUA_PKG="lua$_i" \
- || return 1
- done
+ make LUA_PKG="lua$_i"
+ done
}
package() {
diff --git a/main/lua-md5/APKBUILD b/main/lua-md5/APKBUILD
index 5b11e670ea..4fcce3b29c 100644
--- a/main/lua-md5/APKBUILD
+++ b/main/lua-md5/APKBUILD
@@ -1,9 +1,9 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-md5
-_name="md5"
+_name=md5
pkgver=1.3
-pkgrel=0
+pkgrel=1
pkgdesc="Basic cryptographic facilities for Lua"
url="https://github.com/keplerproject/md5"
arch="all"
diff --git a/main/lua-microlight/APKBUILD b/main/lua-microlight/APKBUILD
index f889adb0e5..71f46e1d19 100644
--- a/main/lua-microlight/APKBUILD
+++ b/main/lua-microlight/APKBUILD
@@ -1,17 +1,13 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-microlight
pkgver=1.1.1
-pkgrel=2
+pkgrel=3
pkgdesc="a really compact set of general Lua functions"
url="http://stevedonovan.github.com/microlight/"
arch="noarch"
license="MIT"
-depends=""
-install=""
-makedepends=""
-subpackages=""
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-microlight:split_${_i/./_}"
@@ -20,27 +16,16 @@ source="lua-microlight-$pkgver.tar.gz::https://github.com/stevedonovan/Microligh
fix-lua-5.3.patch
"
-_builddir="$srcdir"/Microlight-$pkgver
-
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/Microlight-$pkgver
build() {
- cd "$_builddir"
+ mkdir -p "$pkgdir"
}
package() {
- cd "$_builddir"
for _i in $_luaversions; do
- install -Dm644 "$_builddir"/ml.lua \
- "$pkgdir"/usr/share/lua/$_i/ml.lua || return 1
+ install -Dm644 "$builddir"/ml.lua \
+ "$pkgdir"/usr/share/lua/$_i/ml.lua
done
}
@@ -52,7 +37,7 @@ _split() {
for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then
mkdir -p "$subpkgdir"/$d
- mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/ || return 1
+ mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/
fi
done
}
diff --git a/main/lua-mosquitto/APKBUILD b/main/lua-mosquitto/APKBUILD
index 8d817913c1..18bbcecb22 100644
--- a/main/lua-mosquitto/APKBUILD
+++ b/main/lua-mosquitto/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lua-mosquitto
pkgver=0.3
-pkgrel=1
+pkgrel=2
pkgdesc="Bindings to libmosquitto for Lua"
url="https://github.com/flukso/lua-mosquitto"
arch="all"
@@ -9,7 +9,7 @@ license="MIT"
makedepends="mosquitto-dev"
source="lua-mosquitto-$pkgver.tar.gz::https://github.com/flukso/lua-mosquitto/archive/v$pkgver.tar.gz"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_package"
diff --git a/main/lua-mqtt-publish/APKBUILD b/main/lua-mqtt-publish/APKBUILD
index 5300d31df1..ad7926643d 100644
--- a/main/lua-mqtt-publish/APKBUILD
+++ b/main/lua-mqtt-publish/APKBUILD
@@ -1,8 +1,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-mqtt-publish
pkgver=0.3
-pkgrel=1
+pkgrel=2
pkgdesc="Lua module for simple MQTT connect, publish and disconnect"
url="https://github.com/ncopa/lua-mqtt-publish"
arch="all"
@@ -15,10 +15,6 @@ done
source="lua-mqtt-publish-$pkgver.tar.gz::https://github.com/ncopa/lua-mqtt-publish/archive/v$pkgver.tar.gz"
-build() {
- return 0
-}
-
package() {
for i in $_luaversions; do
install -Dm644 "$builddir"/mqtt/publish.lua \
diff --git a/main/lua-openrc/APKBUILD b/main/lua-openrc/APKBUILD
index 3a49ea3d8a..b67c1a319d 100644
--- a/main/lua-openrc/APKBUILD
+++ b/main/lua-openrc/APKBUILD
@@ -1,16 +1,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-openrc
pkgver=0.2
-pkgrel=3
+pkgrel=4
pkgdesc="Lua module for OpenRC"
url="https://github.com/ncopa/lua-openrc"
arch="all"
license="GPL"
-depends=""
-install=
makedepends="openrc-dev bsd-compat-headers"
-subpackages=""
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-openrc:split_${_i/./_}:$CARCH"
@@ -20,31 +17,24 @@ source="lua-openrc-$pkgver.tar.gz::https://github.com/ncopa/lua-openrc/archive/v
"
-_sdir="$srcdir"/$pkgname-$pkgver
-
prepare() {
- cd "$_sdir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare
for _i in $_luaversions; do
- cp -r "$_sdir" "$srcdir"/build-$_i || return 1
+ cp -r "$builddir" "$srcdir"/build-$_i
done
}
build() {
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
- make LUA_VERSION=$_i || return 1
+ make LUA_VERSION=$_i
done
}
package() {
for _i in $_luaversions; do
install -Dm755 "$srcdir"/build-$_i/rc.so \
- "$pkgdir"/usr/lib/lua/$_i/rc.so || return 1
+ "$pkgdir"/usr/lib/lua/$_i/rc.so
done
}
@@ -56,7 +46,7 @@ _split() {
for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then
mkdir -p "$subpkgdir"/$d
- mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/ || return 1
+ mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/
fi
done
}
diff --git a/main/lua-optarg/APKBUILD b/main/lua-optarg/APKBUILD
index f025cf848f..688d8e9f23 100644
--- a/main/lua-optarg/APKBUILD
+++ b/main/lua-optarg/APKBUILD
@@ -2,16 +2,14 @@
pkgname=lua-optarg
_rockname=optarg
pkgver=0.2
-pkgrel=1
+pkgrel=2
pkgdesc="Simple command line option parser for Lua"
url="https://github.com/ncopa/lua-optarg"
arch="noarch"
license="MIT"
-subpackages=""
-source="$pkgname-$pkgver.tar.gz::https://github.com/ncopa/$pkgname/archive/v$pkgver.tar.gz"
-builddir="$srcdir/$pkgname-$pkgver"
+source="$pkgname-$pkgver.tar.gz::https://github.com/ncopa/lua-optarg/archive/v$pkgver.tar.gz"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
subpackages="$subpackages lua$_v-${pkgname#lua-}:_package"
done
diff --git a/main/lua-ossl/APKBUILD b/main/lua-ossl/APKBUILD
index 93c91041fe..6b989664a7 100644
--- a/main/lua-ossl/APKBUILD
+++ b/main/lua-ossl/APKBUILD
@@ -4,14 +4,12 @@ pkgname=lua-ossl
_pkgname=luaossl
pkgver=20200709
_ver=${pkgver%_git*}
-pkgrel=0
-pkgdesc="A comprehensive OpenSSL Lua module"
+pkgrel=2
+pkgdesc="comprehensive OpenSSL Lua module"
url="http://25thandclement.com/~william/projects/luaossl.html"
arch="all"
license="MIT"
makedepends="openssl-dev"
-subpackages=""
-checkdepends=""
source="$_pkgname-$_ver.tar.gz::https://github.com/wahern/$_pkgname/archive/rel-$pkgver.tar.gz
0001-pkey.toPEM-opts-rename-const-array.patch
0002-pkey.toPEM-accept-table-arguments.patch
@@ -26,7 +24,7 @@ source="$_pkgname-$_ver.tar.gz::https://github.com/wahern/$_pkgname/archive/rel-
"
builddir="$srcdir/$_pkgname-rel-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_package"
@@ -34,8 +32,6 @@ for _v in $_luaversions; do
done
build() {
- cd "$builddir"
-
make config prefix=/usr
local lver; for lver in $_luaversions; do
make openssl$lver
diff --git a/main/lua-pc/APKBUILD b/main/lua-pc/APKBUILD
index 31c51d79d9..cf0a70eeaf 100644
--- a/main/lua-pc/APKBUILD
+++ b/main/lua-pc/APKBUILD
@@ -1,16 +1,15 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-pc
_name=lpc
pkgver=1.0.0
-pkgrel=10
+pkgrel=11
pkgdesc="Lua Process Call"
url="https://github.com/LuaDist/lpc"
arch="all"
license="MIT"
-makedepends=""
depends="lua5.1-pc"
source="https://dev.alpinelinux.org/archive/lpc/lpc-$pkgver.tar.gz
lpc-lua5.2-compat.patch
@@ -21,17 +20,12 @@ for _i in $_luaversions; do
subpackages="$subpackages lua$_i-pc:_pc_${_i/./_}"
done
-_builddir="$srcdir/$_name-$pkgver"
+builddir="$srcdir/$_name-$pkgver"
prepare() {
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare
for _i in $_luaversions; do
- cp -r "$_builddir" "$srcdir"/build-$_i
+ cp -r "$builddir" "$srcdir"/build-$_i
done
}
@@ -39,8 +33,7 @@ build() {
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
make LUA_PKGCONF="lua$_i" \
- CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS -shared" \
- || return 1
+ CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS -shared"
done
}
diff --git a/main/lua-penlight/APKBUILD b/main/lua-penlight/APKBUILD
index 7ed180dc79..d38a208c70 100644
--- a/main/lua-penlight/APKBUILD
+++ b/main/lua-penlight/APKBUILD
@@ -2,7 +2,7 @@
pkgname=lua-penlight
_rockname=penlight
pkgver=1.7.0
-pkgrel=1
+pkgrel=2
pkgdesc="Lua libraries for extended operations on tables, lists and strings"
options="!check" # Requires lua-coveralls
url="http://stevedonovan.github.io/Penlight"
@@ -17,7 +17,7 @@ builddir="$srcdir/Penlight-$pkgver"
provides="$pkgname-shared=$pkgver-r$pkgrel" # for backward compatibility
replaces="$pkgname-shared" # for backward compatibility
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
checkdepends="$checkdepends lua$_v"
subpackages="$subpackages lua$_v-penlight:_split"
@@ -47,7 +47,7 @@ _split() {
local _lua=${subpkgname%%-*}
local _ver=${_lua#lua}
pkgdesc="Lua $—ver libraries for extended operations on tables, lists and strings"
- depends="${_lua}-filesystem"
+ depends="$_lua-filesystem"
mkdir -p "$subpkgdir"/usr/share/lua/$_ver
# keep this so abuild pulls in the right dependency with the common
diff --git a/main/lua-posix/APKBUILD b/main/lua-posix/APKBUILD
index 63f36282aa..f35a1ba0ae 100644
--- a/main/lua-posix/APKBUILD
+++ b/main/lua-posix/APKBUILD
@@ -1,38 +1,29 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-posix
_name=luaposix
-pkgver=33.4.0
-pkgrel=1
+pkgver=35.0
+pkgrel=0
pkgdesc="POSIX library for Lua $_luaver"
url="https://github.com/luaposix/luaposix"
arch="all"
license="MIT"
-depends=""
-makedepends="perl automake autoconf linux-headers lua-bit32"
-subpackages="$pkgname-doc"
+makedepends="linux-headers lua-bit32"
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev lua$_i"
subpackages="$subpackages lua$_i-posix:_posix_${_i/./_}"
done
-source="luaposix-$pkgver.tar.gz::https://github.com/luaposix/luaposix/archive/release-v$pkgver.tar.gz
- "
+source="luaposix-$pkgver.tar.gz::https://github.com/luaposix/luaposix/archive/v$pkgver.tar.gz"
-_sdir="$srcdir"/$_name-release-v$pkgver
+builddir="$srcdir"/$_name-$pkgver
prepare() {
- cd "$_sdir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
- aclocal && autoconf && automake --add-missing || return 1
+ default_prepare
for _i in $_luaversions; do
- cp -r "$_sdir" "$srcdir"/build-$_i
+ cp -r "$builddir" "$srcdir"/build-$_i
done
}
@@ -40,20 +31,14 @@ build() {
for _i in $_luaversions; do
msg "build for Lua $_i"
cd "$srcdir"/build-$_i
- LUA=lua$_i LUA_INCLUDE=$(pkg-config lua$_i --cflags) \
- ./configure --prefix=/usr \
- --libdir=/usr/lib/lua/$_i \
- --datadir=/usr/share/lua/$_i \
- || return 1
- make || return 1
+ lua$_i build-aux/luke
done
}
package() {
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
- make DESTDIR="$pkgdir" luadir="/usr/share/lua/$_i" install \
- || return 1
+ lua$_i build-aux/luke install PREFIX="$pkgdir"/usr
done
}
@@ -68,8 +53,7 @@ _split() {
for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then
mkdir -p "$subpkgdir"/$d/$_ver
- mv "$pkgdir"/$d/$_ver/$_f* "$subpkgdir"/$d/$_ver/ \
- || return 1
+ mv "$pkgdir"/$d/$_ver/$_f* "$subpkgdir"/$d/$_ver/
rmdir "$pkgdir"/$d/$_ver 2>/dev/null || true
fi
done
@@ -86,4 +70,4 @@ for _i in $_luaversions; do
eval "_posix_${_i/./_}() { _split_posix $_i; }"
done
-sha512sums="3cb78ccb343a55e2bf5b182410e2050356379e8f7a86d42a79853db6198628cae85f9984854f99f41505cb7e4fbb5288e4a46633a6db459649837729af76044c luaposix-33.4.0.tar.gz"
+sha512sums="4bb61892b78d9e59418a9a6360b9f611fb9b5438b9261a2c6672f053a1b21dfd9a2060b8d2f0d3eac6185773cf84672c1769c081c4ab53d2ddae2232e4a9269b luaposix-35.0.tar.gz"
diff --git a/main/lua-posixtz/APKBUILD b/main/lua-posixtz/APKBUILD
index f67a9951a2..383e5e5ec6 100644
--- a/main/lua-posixtz/APKBUILD
+++ b/main/lua-posixtz/APKBUILD
@@ -1,25 +1,25 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-posixtz
pkgver=0.5
-pkgrel=2
+pkgrel=3
pkgdesc="Lua module to extract POSIX timezone from tzdata"
url="http://git.alpinelinux.org/cgit/posixtz.git/"
arch="all"
-license="GPL-2.0"
+license="GPL-2.0-only"
for _i in $_luaversions; do
makedepends="$makedepends lua$_i-dev"
subpackages="$subpackages lua$_i-posixtz:split_${_i/./_}"
done
source="https://dev.alpinelinux.org/archive/posixtz/posixtz-$pkgver.tar.xz"
-_sdir="$srcdir"/posixtz-$pkgver
+builddir="$srcdir"/posixtz-$pkgver
prepare() {
default_prepare
for _i in $_luaversions; do
- cp -r "$_sdir" "$srcdir"/build-$_i
+ cp -r "$builddir" "$srcdir"/build-$_i
done
}
diff --git a/main/lua-pty/APKBUILD b/main/lua-pty/APKBUILD
index 8747d2a233..aa503f3fac 100644
--- a/main/lua-pty/APKBUILD
+++ b/main/lua-pty/APKBUILD
@@ -3,15 +3,15 @@ pkgname=lua-pty
_pkgname=lpty
pkgver=1.2.2
_rockver=1
-pkgrel=0
-pkgdesc="Lua module to control other programs via PTYs."
+pkgrel=1
+pkgdesc="Lua module to control other programs via PTYs"
url="https://www.tset.de/lpty/"
arch="all"
license="MIT"
source="http://www.tset.de/downloads/$_pkgname-$pkgver-$_rockver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver-$_rockver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
diff --git a/main/lua-rex/APKBUILD b/main/lua-rex/APKBUILD
index 51a719f05e..fc5ff8a965 100644
--- a/main/lua-rex/APKBUILD
+++ b/main/lua-rex/APKBUILD
@@ -1,9 +1,9 @@
# Contributor: Leo <thinkabit.ukim@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-rex
pkgver=2.9.1
-pkgrel=0
+pkgrel=1
pkgdesc="Lua bindings to regular expression library pcre and posix"
options="!check" # TODO: get testsuite
url="http://lrexlib.luaforge.net/"
diff --git a/main/lua-sec/APKBUILD b/main/lua-sec/APKBUILD
index b688878b9a..ce22aff744 100644
--- a/main/lua-sec/APKBUILD
+++ b/main/lua-sec/APKBUILD
@@ -1,6 +1,6 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-sec
pkgver=0.9
pkgrel=0
@@ -17,10 +17,12 @@ done
source="luasec-$pkgver.tar.gz::https://github.com/brunoos/luasec/archive/v$pkgver.tar.gz"
+builddir="$srcdir/luasec-$pkgver"
+
prepare() {
- cd "$srcdir"
+ default_prepare
for _i in $_luaversions; do
- cp -r "$srcdir"/luasec-$pkgver build-$_i
+ cp -r "$builddir" "$srcdir"/build-$_i
done
}
diff --git a/main/lua-socket/APKBUILD b/main/lua-socket/APKBUILD
index de77aa12bf..3900bc981f 100644
--- a/main/lua-socket/APKBUILD
+++ b/main/lua-socket/APKBUILD
@@ -1,6 +1,6 @@
# Contributor: Mika Havela <mika.havela@gmail.com>
# Maintainer: Mika Havela <mika.havela@gmail.com>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-socket
_name=luasocket
pkgver=3.0_rc1_git20160306
diff --git a/main/lua-sql/APKBUILD b/main/lua-sql/APKBUILD
index 5ef3a80d1c..065425c474 100644
--- a/main/lua-sql/APKBUILD
+++ b/main/lua-sql/APKBUILD
@@ -1,6 +1,6 @@
# Contributor: Łukasz Jendrysik <scadu@yandex.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
_drivers="mysql postgres sqlite3 odbc"
pkgname=lua-sql
@@ -37,21 +37,21 @@ build() {
local cflags lver
for lver in $_luaversions; do
- cflags="$CFLAGS $(pkg-config lua$lver --cflags) -fPIC"
+ CFLAGS="$CFLAGS $(pkg-config lua$lver --cflags) -fPIC"
msg "Building for Lua $lver..."
cd "$builddir-$lver"
- make CFLAGS="$cflags" DRIVER_LIBS="-lmysqlclient" \
+ make CFLAGS="$CFLAGS" DRIVER_LIBS="-lmysqlclient" \
mysql
- make CFLAGS="$cflags" DRIVER_LIBS="$(pkg-config --libs libpq)" \
+ make CFLAGS="$CFLAGS" DRIVER_LIBS="$(pkg-config --libs libpq)" \
postgres
- make CFLAGS="$cflags" DRIVER_LIBS="$(pkg-config --libs sqlite3)" \
+ make CFLAGS="$CFLAGS" DRIVER_LIBS="$(pkg-config --libs sqlite3)" \
sqlite3
- make CFLAGS="$cflags -DUNIXODBC" DRIVER_LIBS="-lodbc" \
+ make CFLAGS="$CFLAGS -DUNIXODBC" DRIVER_LIBS="-lodbc" \
odbc
done
}
diff --git a/main/lua-sqlite/APKBUILD b/main/lua-sqlite/APKBUILD
index f60ab8d14c..6b7367bad0 100644
--- a/main/lua-sqlite/APKBUILD
+++ b/main/lua-sqlite/APKBUILD
@@ -5,20 +5,16 @@ _rockname=lsqlite3
pkgver=0.9.5
_uuid="fsl_9y"
[ "$pkgver" != "0.9.5" ] && die "Please update uuid!"
-_luaversions="5.1 5.2 5.3"
-pkgrel=3
+_luaversions="5.1 5.2 5.3 5.4"
+pkgrel=4
pkgdesc="Sqlite3 Binding for Lua"
url="http://lua.sqlite.org/index.cgi/home"
arch="all"
license="MIT"
-depends=""
makedepends="sqlite-dev"
-install=""
-subpackages=""
# the uuid determines the archive version and the filename the target directory
source="$pkgname-$pkgver.zip::http://lua.sqlite.org/index.cgi/zip/$pkgname-$pkgver.zip?uuid=$_uuid"
-builddir="$srcdir"/$pkgname-$pkgver
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
@@ -26,11 +22,11 @@ for _v in $_luaversions; do
done
prepare() {
- default_prepare || return 1
+ default_prepare
local lver
for lver in $_luaversions; do
- cp -r "$builddir" "$builddir-$lver" || return 1
+ cp -r "$builddir" "$builddir-$lver"
done
}
@@ -39,10 +35,10 @@ build() {
for lver in $_luaversions; do
cd "$builddir-$lver"
msg "Building for Lua $lver..."
- ${CC:-gcc} ${CFLAGS} $(pkg-config --cflags sqlite3) \
+ ${CC:-gcc} $CFLAGS $(pkg-config --cflags sqlite3) \
$(pkg-config --cflags lua$lver) -shared -fPIC \
-DLSQLITE_VERSION=\"$pkgver\" -o lsqlite3.so lsqlite3.c \
- $(pkg-config --libs sqlite3) || return 1
+ $(pkg-config --libs sqlite3)
done
}
@@ -59,7 +55,7 @@ _package() {
cd "$builddir-$lver"
install -Dm755 lsqlite3.so \
- "$subpkgdir"/usr/lib/lua/$lver/lsqlite3.so || return 1
+ "$subpkgdir"/usr/lib/lua/$lver/lsqlite3.so
mkdir -p "$rockdir"
echo 'rock_manifest = {}' > "$rockdir"/rock_manifest
diff --git a/main/lua-stdlib-debug/APKBUILD b/main/lua-stdlib-debug/APKBUILD
index f0c823f082..ac9ca2ed41 100644
--- a/main/lua-stdlib-debug/APKBUILD
+++ b/main/lua-stdlib-debug/APKBUILD
@@ -3,18 +3,17 @@
pkgname=lua-stdlib-debug
_rockname=std._debug
pkgver=1.0.1
-pkgrel=0
+pkgrel=1
pkgdesc="Manage an overall debug state, and associated hint substates"
url="https://lua-stdlib.github.io/_debug/"
arch="noarch"
license="MIT"
depends="lua"
-provides=""
options="!check" # FIXME: requires lua-specl that we don't have yet
source="$pkgname-$pkgver.tar.gz::https://github.com/lua-stdlib/_debug/archive/v$pkgver.tar.gz"
builddir="$srcdir/_debug-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
done
diff --git a/main/lua-stdlib-normalize/APKBUILD b/main/lua-stdlib-normalize/APKBUILD
index 8ac621802f..1ac0f992fc 100644
--- a/main/lua-stdlib-normalize/APKBUILD
+++ b/main/lua-stdlib-normalize/APKBUILD
@@ -3,7 +3,7 @@
pkgname=lua-stdlib-normalize
_rockname=std.normalize
pkgver=2.0.3
-pkgrel=0
+pkgrel=1
pkgdesc="Normalized Lua functions"
url="https://lua-stdlib.github.io/normalize/"
arch="noarch"
@@ -13,7 +13,7 @@ options="!check" # FIXME: requires lua-specl that we don't have yet
source="$pkgname-$pkgver.tar.gz::https://github.com/lua-stdlib/normalize/archive/v$pkgver.tar.gz"
builddir="$srcdir/normalize-$pkgver"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
provides="$provides lua$_v-${pkgname#lua-}=$pkgver-r$pkgrel" # for backward compatibility
done
diff --git a/main/lua-stdlib/APKBUILD b/main/lua-stdlib/APKBUILD
index 63b5a85aa1..0e35ed03ea 100644
--- a/main/lua-stdlib/APKBUILD
+++ b/main/lua-stdlib/APKBUILD
@@ -1,8 +1,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-stdlib
pkgver=41.2.2
-pkgrel=0
+pkgrel=1
pkgdesc="Lua library of modules for common programming tasks"
url="https://github.com/lua-stdlib/lua-stdlib"
arch="noarch"
@@ -18,8 +18,6 @@ builddir="$srcdir"/lua-stdlib-release-v$pkgver
prepare() {
default_prepare
- cd "$builddir"
-
aclocal && autoconf && automake --add-missing
for _i in $_luaversions; do
cp -r "$builddir" "$srcdir"/build-$_i
@@ -39,7 +37,6 @@ build() {
}
package() {
- cd "$builddir"
for _i in $_luaversions; do
cd "$srcdir"/build-$_i
make DESTDIR="$pkgdir" luadir="/usr/share/lua/$_i" install
diff --git a/main/lua-stringy/APKBUILD b/main/lua-stringy/APKBUILD
index b2ce4ea536..ffdd293c79 100644
--- a/main/lua-stringy/APKBUILD
+++ b/main/lua-stringy/APKBUILD
@@ -3,7 +3,7 @@
pkgname=lua-stringy
pkgver=0.5.1
_pkgver=${pkgver%.*}-${pkgver##*.}
-pkgrel=1
+pkgrel=2
pkgdesc="Lua string utility library"
url="https://github.com/brentp/lua-stringy/"
arch="all"
@@ -13,7 +13,7 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/brentp/lua-stringy/archive/v
makefile.patch"
builddir="$srcdir/$pkgname-$_pkgver/stringy"
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
checkdepends="$checkdepends lua$_v"
makedepends="$makedepends lua$_v-dev"
diff --git a/main/lua-struct/APKBUILD b/main/lua-struct/APKBUILD
index bb2599236a..fb95f7359b 100644
--- a/main/lua-struct/APKBUILD
+++ b/main/lua-struct/APKBUILD
@@ -1,13 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
pkgname=lua-struct
pkgver=0.2
-pkgrel=2
+pkgrel=3
pkgdesc="Library for Converting Data to and from C Structs for Lua"
url="http://www.inf.puc-rio.br/~roberto/struct/"
arch="all"
license="MIT"
-depends_dev=""
makedepends="$depends_dev"
source="http://www.inf.puc-rio.br/~roberto/struct/struct-$pkgver.tar.gz
makefile.patch
@@ -35,7 +34,6 @@ build() {
}
package() {
- cd "$builddir"
mkdir -p "$pkgdir"
}
diff --git a/main/lua-subprocess/APKBUILD b/main/lua-subprocess/APKBUILD
index 7c971e0114..fd18b603ef 100644
--- a/main/lua-subprocess/APKBUILD
+++ b/main/lua-subprocess/APKBUILD
@@ -4,7 +4,7 @@
_luaversions="5.1 5.2"
pkgname=lua-subprocess
pkgver=0.0.20141229
-pkgrel=3
+pkgrel=4
pkgdesc="A Lua module written in C that allows you to create child processes and communicate with them"
url="https://github.com/tdtrask/lua-subprocess"
arch="all"
diff --git a/main/lua-unit/APKBUILD b/main/lua-unit/APKBUILD
index 16b968369b..a7afae62cf 100644
--- a/main/lua-unit/APKBUILD
+++ b/main/lua-unit/APKBUILD
@@ -11,10 +11,10 @@ license="BSD-2-Clause"
depends="lua5.2"
makedepends="python3"
options="!check" # test suite suitable for Windows only
-source="https://github.com/bluebird75/luaunit/archive/${_pkgname}_V${_pkgver}.tar.gz"
-builddir="$srcdir"/${pkgname/-/}-${_pkgname}_V${_pkgver}
+source="https://github.com/bluebird75/luaunit/archive/${_pkgname}_V$_pkgver.tar.gz"
+builddir="$srcdir"/${pkgname/-/}-${_pkgname}_V$_pkgver
-_luaversions="5.1 5.2 5.3"
+_luaversions="5.1 5.2 5.3 5.4"
for _v in $_luaversions; do
makedepends="$makedepends lua$_v-dev"
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"